### Method

# Gtk Rangeset_value

#### Declaration [src]

    void
    gtk_range_set_value (
      GtkRange* range,
      double value
    )

#### Description [src]

Sets the current value of the range.

If the value is outside the minimum or maximum range values, it will be clamped to fit inside them. The range emits the `GtkRange::value-changed` signal if the value changes.

#### Parameters

`value`

  Type: `double`

  New value of the range.